GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/coff-pe-read.h File Reference

Go to the source code of this file.

## Functions
void | read_pe_exported_syms (minimal_symbol_reader &reader, struct objfile *objfile)
CORE_ADDR | pe_text_section_offset (struct bfd *abfd)

## Function Documentation

## ◆ pe_text_section_offset()

CORE_ADDR pe_text_section_offset | ( | struct bfd * | abfd | ) |

Definition at line 640 of file coff-pe-read.c.

References DEFAULT_COFF_PE_TEXT_SECTION_OFFSET, pe_get16(), pe_get32(), and SEEK_SET.

Referenced by windows_xfer_shared_library().

## ◆ read_pe_exported_syms()

void read_pe_exported_syms | ( | minimal_symbol_reader & | reader,
|  | struct objfile * | objfile
| ) |  |

Definition at line 333 of file coff-pe-read.c.

References _, add_pe_exported_sym(), add_pe_forwarded_sym(), debug_coff_pe_read, do_cleanups(), fprintf_unfiltered(), free_current_contents(), gdb_stdlog, get_section_vmas(), IMAGE_SCN_CNT_CODE, IMAGE_SCN_CNT_INITIALIZED_DATA, IMAGE_SCN_CNT_UNINITIALIZED_DATA, make_cleanup(), mst_bss, mst_data, mst_text, mst_unknown, name, pe_sections_info::nb_sections, null_cleanup(), objfile::obfd, pe_as16(), pe_as32(), pe_get16(), pe_get32(), PE_SECTION_INDEX_BSS, PE_SECTION_INDEX_DATA, PE_SECTION_INDEX_INVALID, PE_SECTION_INDEX_TEXT, PE_SECTION_TABLE_SIZE, read_pe_section_index(), read_pe_truncate_name(), pe_sections_info::sections, SEEK_SET, XCNEWVEC, xfree(), xmalloc(), and XRESIZEVEC.

Referenced by coff_symtab_read().